API Reference

Detailed and full API reference helps you master Tekla development

This is the most recent version of Tekla Open API.
For older versions, please visit Tekla Warehouse.

ComponentInputAddTwoInputPositions Method

Adds two input positions to the component input.

Namespace:  Tekla.Structures.Model
Assembly:  Tekla.Structures.Model (in Tekla.Structures.Model.dll) Version: 2023.0.1
Syntax
public bool AddTwoInputPositions(
	Point Position1,
	Point Position2
)

Parameters

Position1
Type: Tekla.Structures.Geometry3dPoint
The first position to be added.
Position2
Type: Tekla.Structures.Geometry3dPoint
The second position to be added.

Return Value

Type: Boolean
True on success.
See Also
Was this helpful?
The feedback you give here is not visible to other users. We use your comments to improve the content.